## dvgrab 0.89

=== Makefile ===
#CPPFLAGS = -Wall -g
CPPFLAGS = -Wall -O2

all: dvgrab riffdump rawdump

riff.o: riff.cc riff.h
	g++ $(CPPFLAGS) -c riff.cc

avi.o: avi.cc avi.h riff.h
	g++ $(CPPFLAGS) -c avi.cc

iee1394io.o:
	g++ $(CPPFLAGS) -I/usr/local/include/libraw1394  -c ieee1394io.cc

frame.o: frame.cc frame.h
	g++ $(CPPFLAGS) -c frame.cc

dvgrab.o: dvgrab.cc avi.h riff.h
	g++ $(CPPFLAGS) -c dvgrab.cc

dvgrab: avi.o riff.o ieee1394io.o frame.o dvgrab.o
	g++ $(CPPFLAGS) avi.o riff.o ieee1394io.o frame.o dvgrab.o /usr/local/lib/libraw1394.a -lpthread -o dvgrab


riffdump.o: riffdump.cc avi.h riff.h 
	g++ $(CPPFLAGS) -c riffdump.cc

riffdump: avi.o riff.o frame.o riffdump.o 
	g++ $(CPPFLAGS) avi.o riff.o frame.o riffdump.o -o riffdump


rawdump.o: rawdump.c
	gcc $(CPPFLAGS) -c rawdump.c

rawdump: rawdump.o 
	gcc rawdump.o -o rawdump

# a great C++ formatter
ASTYLEFLAGS = -c -s4 -l -p
#ASTYLEFLAGS = -c -s8 -l

pretty:
	astyle $(ASTYLEFLAGS) riff.cc riff.h avi.cc avi.h frame.cc frame.h ieee1394io.cc dvgrab.cc 

#an even greater documentation generator

dox:
	doxygen dvgrab.dox

## dvgrab 3.5

=== debian/changelog ===
dvgrab (3.5-2) unstable; urgency=low

  * debian/control:
    + changed "Section" to video
    + changed Build-Dep to libjpeg-dev (Closes:#641110)
  * Convert package to format 3.0 (quilt)
  * Add 50_dvgrab_fix_jpeg_quality.dpatch (LP:#859108)
  * Increased Standards-Version to 3.9.2 (no changes)

 -- Erik Schanze <eriks@debian.org>  Mon, 02 Jan 2012 16:29:03 +0100

dvgrab (3.5-1) unstable; urgency=low

  * New upstream release
    + Removed 30_add_gcc44_includes.dpatch, was included Upstream
    + debian/control: increased dependency version libavc1394-dev
  * Increased Standards-Version to 3.8.3:
    + debian/rules: Adapted for parallel build
    + Added README.source pointing to dpatch
    + debian/compat, debian/control: increased dephelper version to 5
  * debian/control: changed "Architecture" to any (Closes: #551397)

 -- Erik Schanze <eriks@debian.org>  Sun,  7 Nov 2009 13:47:21 +0100

dvgrab (3.4-1) unstable; urgency=low

  * New upstream release
  * Increased Standards-Version to 3.8.1, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sun, 19 Apr 2009 20:48:20 +0200

dvgrab (3.2-2) unstable; urgency=low

  * Added 30_add_gcc44_includes:
    + Added header inclusion for GCC 4.4 (Closes: #505587)

 -- Erik Schanze <eriks@debian.org>  Fri, 14 Nov 2008 21:08:27 +0100

dvgrab (3.2-1) unstable; urgency=low

  * New upstream release (Closes: #499776)
  * Removed upstream included patch: 10_cstring_include.dpatch
  * Fixed lintian waring, added 10_remove_warnings_from_manpage.dpatch
  * Updated german manpage

 -- Erik Schanze <eriks@debian.org>  Sun, 21 Sep 2008 19:52:33 +0200

dvgrab (3.1-2) unstable; urgency=low

  * Fix LDFLAGS build parameter (Closes: #476040)

 -- Erik Schanze <eriks@debian.org>  Mon, 14 Apr 2008 21:22:45 +0200

dvgrab (3.1-1) unstable; urgency=low

  * New upstream release (Closes: #457998, #464359)
  * Removed 10_include_cassert.dpatch
  * Added 10_cstring_include.dpatch (Closes: #455188)
  * Increase Standards-Version

 -- Erik Schanze <eriks@debian.org>  Wed, 30 Jan 2008 22:22:45 +0100

dvgrab (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #437869)
  * Updated german translation of manpage
  * Removed 30_fix_tags_in_manpage.dpatch
  * debian/rules: added/fixed  handling of DEB_BUILD_OPTIONS

 -- Erik Schanze <eriks@debian.org>  Tue, 17 Aug 2007 23:43:13 +0200

dvgrab (2.1-2) unstable; urgency=low

  * tighten build-dependencies on libraw1394-dev and libdv4-dev. 
    Thanks to Jonas Smedegaard for the patch (Closes: #334707)
  * restore old Architecture line and add "armel" and "armeb" (for Bug #408775)
  * Have new runtime depending on libquicktime1 since 2.1-1 (Closes: #434409)

 -- Erik Schanze <eriks@debian.org>  Mon, 23 Jul 2007 20:54:34 +0200

dvgrab (2.1-1) experimental; urgency=low

  * New upstream release, Closes: #407727
  * Build with new libquicktime 1.0.0
  * remove patches already merged by upstream
  * Changed Architecture: to any, Closes: #408775

 -- Erik Schanze <eriks@debian.org>  Thu, 24 May 2007 20:49:34 +0200

dvgrab (1.8-4) unstable; urgency=low

  * Changed maintainers email address
  * Updated FSF address in debian/copyright
  * Updated debian/watch file version
  * Updated project homepage
  * fix libquicktimes include path, added dependency to pkg-config
    Closes: #391562
  * bumped libquicktime dependency to >=2:0.9.7
  * Increased Standards-Version to 3.7.2, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sun,  8 Oct 2006 20:07:04 +0200

dvgrab (1.8-3) unstable; urgency=low

  * Added patches:
    + [15_quicktime_includes] Fix path changes in libquicktime-dev
      0.9.7 from /usr/include/quicktime to /usr/include/lqt
    + [16_quicktime_includes_fixup] Propagate changes from above patch
      to autogenerated file.
  * Added version >=1:0.9.7 to libquicktime-dev depends and use lqt-config in
    debian/rules, (Thanks to Daniel Kobras) Closes: #326010
  * Rebuild with libquicktime0, Closes: #334494
  * debian/control: Removed old depends alternatives. 

 -- Erik Schanze <schanzi_@gmx.de>  Tue,  2 Nov 2005 12:10:00 +0100

dvgrab (1.8-2) unstable; urgency=low

  * Added patch [20_patch_smiltime_cc] to fix base class 
    constuctor call for g++-4.0, Closes: #318910, and to add
    missed "return" in Time::serialise()
  * Added patch [40_fix_throw_error_messages] to fix not working
    throw with error message output
  * Added "-Wall" to compile options to get notice of problematic code
  * Changed german umlauts to groff sequences, thanks to lintian 
  * Increased Standards-Version to 3.6.2, no changes needed

 -- Erik Schanze <schanzi_@gmx.de>  Tue, 29 Jul 2005 23:34:00 +0200

dvgrab (1.8-1) unstable; urgency=low

  * New upstream release
  * Added ppc64 to architectures, Closes: #301048
  * Added lintian-overrides, lintian doesn't know ppc64 (yet)
  * Removed patch included in upstream:
    + [20_endian_types]
  * Added "--jpeg-overwrite" and a new example to manpage

 -- Erik Schanze <schanzi_@gmx.de>  Thu, 11 Jun 2005 21:00:17 +0200

dvgrab (1.7-1) unstable; urgency=low

  * New upstream release
  * Upstream removed old debian/ subdirectory, so we get rid of repacking the
    sources for our package
  * Updated German manpage according upstream fixes on English one
  * Removed patches included in upstream:
    + [10_no_dv1394h_warning]
    + [11_no_dv1394h_warning_fixup]
  * Description line now begins lowercase (fixes lintian warning)
  * Added project homepage to description

 -- Erik Schanze <schanzi_@gmx.de>  Wed, 21 Jan 2005 22:56:31 +0100

dvgrab (1.6deb-1) unstable; urgency=low

  * New upstream release
  * New maintainer, Closes: #254173
  * Added amd64 support, thanks to Andreas Jochens, Closes: #251964
  * Updated download URL in debian/copyright
  * Added debian/watch file, but it works not perfectly (different package name)
  * Added German translation of man page dvgrab.1
  * Removed patches:
    + [10_am_maintainer_mode]
    + [11_am_maintainer_mode_fixup]


=== debian/control ===
Source: dvgrab
Section: video
Priority: extra
Maintainer: Erik Schanze <eriks@debian.org>
Build-Depends: debhelper (>= 5.0), libdv4-dev (>= 1.0.0), libjpeg-dev, libquicktime-dev (>= 2:1.0.0+debian), libraw1394-dev (>= 1.1.0), libavc1394-dev (>= 0.5.1), libiec61883-dev (>= 1.0.0), zlib1g-dev, autotools-dev, quilt, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.kinodv.org/

Package: dvgrab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: grab digital video data via IEEE1394 and USB links
 dvgrab receives audio and video data from a digital camcorder via an
 IEEE1394 (widely known as FireWire) or USB link and stores them into
 one of several file formats. It features autosplit of long video
 sequences, and supports saving the data as raw frames, AVI type 1,
 AVI type 2, Quicktime DV, a series of JPEG stills or MPEG2-TS.

=== debian/rules ===
#!/usr/bin/make -f
# dvgrab debian/rules script
# adapted from Joey Hess's debhelper example by Daniel Kobras

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS= -Wall

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
else
        LDFLAGS += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Make sure we use the latest autotools helpers.
	if test -f config.sub; then \
		mv config.sub config.sub.debsave; \
	fi
	if test -f config.guess; then \
		mv config.guess config.guess.debsave; \
	fi
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/ --exec-prefix=/usr

	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) dvgrab

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	if test -L config.sub; then \
		rm -f config.sub; \
		if test -e config.sub.debsave; then \
			mv config.sub.debsave config.sub; \
		fi; \
	fi
	if test -L config.guess; then \
		rm -f config.guess; \
		if test -e config.guess.debsave; then \
			mv config.guess.debsave config.guess; \
		fi; \
	fi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/dvgrab install-exec


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman dvgrab.1 debian/dvgrab.de.1
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure do-clean

=== debian/watch ===
version=3
http://sf.net/kino/dvgrab-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz) debian uupdate

## dvgrab 3.5%2Bgit20160707.1.e46042e

=== debian/changelog ===
dvgrab (3.5+git20160707.1.e46042e-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:45:26 +0800

dvgrab (3.5+git20160707.1.e46042e-1) unstable; urgency=low

  * New upstream code from github, GCC6 compile (Closes:#811728)
  * Switch to debhelper compat 9
  * Removed patch dvgrab_fix_jpeg_quality, changed by upstream
  * Updated Standards-Version to 3.9.8, no change needed
  * removed outdated debian/watch file

 -- Erik Schanze <eriks@debian.org>  Fri, 08 Jul 2016 22:49:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: video
 Priority: extra
 Maintainer: Erik Schanze <eriks@debian.org>
-Build-Depends: debhelper (>= 5.0), libdv4-dev (>= 1.0.0), libjpeg-dev, libquicktime-dev (>= 2:1.0.0+debian), libraw1394-dev (>= 1.1.0), libavc1394-dev (>= 0.5.1), libiec61883-dev (>= 1.0.0), zlib1g-dev, autotools-dev, quilt, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.0), libdv4-dev (>= 1.0.0), libjpeg-dev, libquicktime-dev (>= 2:1.0.0+debian), libraw1394-dev (>= 1.1.0), libavc1394-dev (>= 0.5.1), libiec61883-dev (>= 1.0.0), zlib1g-dev, dh-autoreconf, quilt, pkg-config
+Standards-Version: 3.9.8
 Homepage: http://www.kinodv.org/
 
 Package: dvgrab

## dvgrab 3.5+git20160707.1.e46042e

=== debian/changelog ===
dvgrab (3.5+git20160707.1.e46042e-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 12:27:41 +0530

dvgrab (3.5+git20160707.1.e46042e-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:53 +1100

dvgrab (3.5+git20160707.1.e46042e-1build2) noble; urgency=medium

  * No-change rebuild against libdv4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 22:04:04 +0000

dvgrab (3.5+git20160707.1.e46042e-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dvgrab
 Section: video
 Priority: extra
-Maintainer: Erik Schanze <eriks@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Erik Schanze <eriks@debian.org>
 Build-Depends: debhelper (>= 9.0), libdv4-dev (>= 1.0.0), libjpeg-dev, libquicktime-dev (>= 2:1.0.0+debian), libraw1394-dev (>= 1.1.0), libavc1394-dev (>= 0.5.1), libiec61883-dev (>= 1.0.0), zlib1g-dev, dh-autoreconf, quilt, pkg-config
 Standards-Version: 3.9.8
 Homepage: http://www.kinodv.org/

## dvgrab 3.5+git20250306.8e1f93d

=== debian/changelog ===
dvgrab (3.5+git20250306.8e1f93d-1) unstable; urgency=medium

  * Team upload.
  * Package latest HEAD from Github
  * Maintain package in VDR team with maintainer confirmation
    (see bug #1100450)
  * Add watch file fetching latest upstream commit
    Closes: #1100450
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Drop no longer supported add-log-mailing-address setting from d/changelog.
  * Use secure URI in Homepage field.
  * Replace XC-Package-Type with Package-Type.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Fix day-of-week for several changelog entries
  * Drop quilt from Build-Depends.
  * Remove outdated debian/README.source
  * d/copyright: DEP5 + review
  * d/rules: short dh
  * Lintian-overrides for national-encoding

 -- Andreas Tille <tille@debian.org>  Wed, 26 Mar 2025 07:51:39 +0100

=== debian/control ===
Source: dvgrab
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Erik Schanze <eriks@debian.org>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdv4-dev,
               libjpeg-dev,
               libquicktime-dev,
               libraw1394-dev,
               libavc1394-dev,
               libiec61883-dev,
               zlib1g-dev,
               pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/vdr-team/dvgrab
Vcs-Git: https://salsa.debian.org/vdr-team/dvgrab.git
Homepage: https://www.kinodv.org/

Package: dvgrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: grab digital video data via IEEE1394 and USB links
 dvgrab receives audio and video data from a digital camcorder via an
 IEEE1394 (widely known as FireWire) or USB link and stores them into
 one of several file formats. It features autosplit of long video
 sequences, and supports saving the data as raw frames, AVI type 1,
 AVI type 2, Quicktime DV, a series of JPEG stills or MPEG2-TS.

=== debian/rules ===
#!/usr/bin/make -f
# dvgrab debian/rules script

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@


override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confflags) --prefix=/ --exec-prefix=/usr

override_dh_auto_install:
	$(MAKE) DESTDIR=`pwd`/debian/dvgrab install-exec

=== debian/watch ===
version=4

opts="mode=git,pretty=3.5+git%cd.%h" \
    https://github.com/ddennedy/dvgrab.git HEAD

# Regarding release tags you might like to read 
#  https://github.com/ddennedy/dvgrab/issues/18#issuecomment-2752734119
